<template>
  <div class="py-24 text-center not-found">
    <img
      class="pic_search"
      :src="getAssetImage('assets/noData/pic-search.png')"
      alt=""
    />
    <p class="fc-text">{{ $t("NoData") }}</p>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import commonHelper from "@/utils/commonHelper";

export default defineComponent({
  setup() {
    const { getAssetImage } = commonHelper;
    return {
      getAssetImage,
    };
  },
});
</script>

<style lang="scss">
img.pic_search {
  width: 160px;
  height: 160px;
  margin: 0 auto;
  object-fit: contain;
  filter: var(--text5-filter);
}
.no-data {
  color: var(--border);
}
[theme-color="bk8"] {
  img.pic_search {
    filter: invert(42%) sepia(11%) saturate(1044%) hue-rotate(173deg) brightness(91%) contrast(88%);
  }
  .not-found .fc-text {
    color: var(--text2);
    font-size: 16px;
  }
}
</style>
